Skip to main content
GET
/
api
/
public
/
v1
/
inventory
/
list-by
/
variant
cURL
curl --location 'https://www.headout.com/api/public/v1/inventory/list-by/variant?variantId=2671&offset=0&limit=150&currencyCode=AED' \
--header 'Headout-Auth: <YOUR_API_KEY>'
{
  "items": [
    {
      "id": "<string>",
      "startDateTime": "2023-11-07T05:31:56Z",
      "endDateTime": "2023-11-07T05:31:56Z",
      "availability": "LIMITED",
      "remaining": 123,
      "pricing": {
        "persons": [
          {
            "type": "<string>",
            "name": "<string>",
            "description": "<string>",
            "ageFrom": 123,
            "ageTo": 123,
            "price": 123,
            "originalPrice": 123,
            "netPrice": 123,
            "headoutSellingPrice": 123,
            "remaining": 123,
            "availability": "LIMITED",
            "paxRange": {
              "min": 123,
              "max": 123
            }
          }
        ],
        "groups": [
          {
            "size": 123,
            "description": "<string>",
            "price": 123,
            "originalPrice": 123,
            "netPrice": 123,
            "headoutSellingPrice": 123,
            "remaining": 123,
            "availability": "LIMITED"
          }
        ]
      }
    }
  ],
  "nextUrl": "<string>",
  "prevUrl": "<string>",
  "total": 123,
  "nextOffset": 123
}

Authorizations

Headout-Auth
string
header
required

Query Parameters

variantId
string
required

ID of the variant to list inventory for.

startDateTime
string

Start of the date range to fetch inventory for (format: yyyy-MM-dd'T'HH:mm:ss). Defaults to the current timestamp if not provided.

endDateTime
string

End of the date range to fetch inventory for (format: yyyy-MM-dd'T'HH:mm:ss). Defaults to no end limit (returns all future slots) if not provided.

offset
string

Number of items to skip before starting to collect the result set.

limit
integer

Maximum number of items to return.

currencyCode
string

Currency code for inventory pricing.

Response

200 - application/json

Successful response

items
object[]

The inventory slots in this page of results.

nextUrl
string

Full URL to fetch the next page of results. Null if on the last page.

prevUrl
string

Full URL to fetch the previous page of results. Null if on the first page.

total
integer

Total number of available inventory slots across all pages.

nextOffset
integer

Offset value to use in the next request to retrieve the following page.